List SBM flavors for a location
To list all available SBM flavors within a location, send a GET request to /v1/locations/{location_id}/order_options/sbm_flavor_models. A location ID should be mentioned in the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
show_all? | booleanBy default, only available flavors are shown. If this parameter has the |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1562/order_options/sbm_flavor_models?show_all=true"[ { "id": 2539, "name": "P-101", "cpu_name": "cpu_name", "cpu_count": 1, "cpu_cores_count": 2, "cpu_frequency": "3.8", "ram_size": 4096, "drives_configuration": "1 x hdd-model-1515, 1 x hdd-model-1516", "public_uplink_model_id": 2535, "public_uplink_model_name": "uplink-model-name-120", "private_uplink_model_id": 2534, "private_uplink_model_name": "uplink-model-name-119", "bandwidth_id": 2536, "bandwidth_name": "public-bandwidth-model-135" }, { "id": 2545, "name": "P-202", "cpu_name": "cpu_name", "cpu_count": 1, "cpu_cores_count": 2, "cpu_frequency": "3.8", "ram_size": 4096, "drives_configuration": "1 x hdd-model-1517, 1 x hdd-model-1518", "public_uplink_model_id": 2541, "public_uplink_model_name": "uplink-model-name-122", "private_uplink_model_id": 2540, "private_uplink_model_name": "uplink-model-name-121", "bandwidth_id": 2542, "bandwidth_name": "public-bandwidth-model-136" }]